Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002967 [JEDI VCL] 00 JVCL Components major always 2005-05-19 08:23 2005-11-22 09:13
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 RC 1
Summary 0002967: TJvDBUltimGrid does not reposition/resize in-place editors when TJvDBUltimGrid resizes
Description A TJvDBUltimGrid allows to set true for "autosizecolumns".

However, if I have any cell in edit mode (whether it is a text edit or
the dropdown lookup) and then resize the grid, the columns resize, but
the in-place editors do not move or resize according to the new column
positions. They remain stuck to their previous positions.
Additional Information Steps to reproduce:

1. Place a TJvDBUltimGrid on a form;
2. Make its aligment as alClient (it will take up the whole form)
3. Populate the grid (programmatically) with an updateable dataset
4. Attempt to edit any cell
5. No resize the form

Observed behaviour:
The in-place editor does not shift or respond according to the new
size of the grid.

Expected behaviour:
The in-place editor should resize and/or reposition according to the new
dimensions of the affected cell.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008008)
Informatix (developer)
2005-10-10 08:52

Tried exactly as suggested. No error encountered.
Please update your JVCL files.

Fred
(0008134)
obones (administrator)
2005-11-22 09:13

No answers for more than 14 days, this is considered fixed. Use the daily snapshots from here:

http://jvcl.sf.net/daily/ [^]

- Issue History
Date Modified Username Field Change
2005-05-19 08:23 anonymous New Issue
2005-10-10 08:52 Informatix Note Added: 0008008
2005-11-22 09:13 obones Status new => resolved
2005-11-22 09:13 obones Resolution open => fixed
2005-11-22 09:13 obones Assigned To => obones
2005-11-22 09:13 obones Note Added: 0008134


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker